Bug 872343 - Cannot resume RHEL6 VM running at runlevel 3
Cannot resume RHEL6 VM running at runlevel 3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 16:23 EDT by Arun S A G
Modified: 2013-01-14 20:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 20:15:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arun S A G 2012-11-01 16:23:40 EDT
Description of problem:
I suspended a RHEL6 VM which was running at runlevel 3 using 'pm-suspend' from the host. But couldn't resume it!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. virt-install a RHEL6 VM
2. Switch to runlevel 3
3. use pm-suspend
4. Try to resume it
  
Actual results:
Doesn't resume

Expected results:
VM actually resumes

Additional info:
dumpxml
----------

<domain type='kvm' id='28'>
  <name>linux.test.vmnet.company.com</name>
  <uuid>99243da5-3293-75a5-3a52-8f0b999b73ff</uuid>
  <memory unit='KiB'>524288</memory>
  <currentMemory unit='KiB'>524288</currentMemory>
  <vcpu placement='static'>1</vcpu>
  <os>
    <type arch='x86_64' machine='pc-1.2'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2' cache='none'/>
      <source file='/var/cache/vm/vdisk/linux6-201211011238.snapshot1'/>
      <target dev='hda' bus='ide'/>
      <alias name='ide0-0-0'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
    <disk type='block' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
    <controller type='usb' index='0'>
      <alias name='usb0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
 <controller type='ide' index='0'>
      <alias name='ide0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <interface type='network'>
      <mac address='52:54:00:ed:80:45'/>
      <source network='default'/>
      <target dev='vnet0'/>
      <model type='e1000'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/1'/>
      <target port='0'/>
      <alias name='serial0'/>
    </serial>
    <console type='pty' tty='/dev/pts/1'>
      <source path='/dev/pts/1'/>
      <target type='serial' port='0'/>
      <alias name='serial0'/>
    </console>
    <memballoon model='virtio'>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </memballoon>
  </devices>
  <seclabel type='none'/>
</domain>
Comment 1 Amit Shah 2012-11-02 01:57:18 EDT
S3/S4 depends on the guest kernel as well.  What's the guest kernel you're using?  Try removing the virtio devices from the guest (even rmmod virtio-balloon in the guest will help) and see if this succeeds.
Comment 2 Arun S A G 2012-11-02 04:28:34 EDT
(In reply to comment #1)
> S3/S4 depends on the guest kernel as well.  What's the guest kernel you're
> using?  Try removing the virtio devices from the guest (even rmmod
> virtio-balloon in the guest will help) and see if this succeeds.

I am running 2.6.32-220.23.1 x86_64! I removed virtio-baloon and tried, it doesn't work!

[root@linux6 ~]# pm-suspend
PM: Syncing filesystems ... done.
Freezing user space processes ... (elapsed 0.00 seconds) done.
Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
Suspending console(s) (use no_console_suspend to debug)

It just stops there!
Comment 3 Amit Shah 2012-11-02 06:46:37 EDT
Arun, can you try an F18 guest instead of a RHEL guest?
Comment 4 Cole Robinson 2013-01-14 20:15:53 EST
No response for a couple months, closing as INSUFFICIENT_DATA. Arun, if this still affects you, please reopen, and provide the info requested in comment #3.

Note You need to log in before you can comment on or make changes to this bug.